Bug 35228 - Allow Drag and Drop into Explorer/Filesystems
Allow Drag and Drop into Explorer/Filesystems
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
: UI
Depends on: 77154
Blocks: 70468
  Show dependency treegraph
 
Reported: 2003-08-01 13:21 UTC by aanno
Modified: 2008-12-23 14:26 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aanno 2003-08-01 13:21:43 UTC
Adding new folders and Jar files to the CLASSPATH with 
"mount" is boring because you have to find your way to a 
nested sub context menu point. Please allow additional 
mounts by Drag and Drop (for example from MS Explorer). 

Drap and Drop has been improved much with Java 1.4 and this 
should really be easy to implement.
Comment 1 Martin Roskanin 2003-08-01 14:51:56 UTC
Moving to openide ...
Comment 2 Stanislav Aubrecht 2006-06-08 11:18:12 UTC
fixed

Checking in utilities/test/cfg-unit.xml;
/cvs/utilities/test/cfg-unit.xml,v  <--  cfg-unit.xml
new revision: 1.2; previous revision: 1.1
done
Checking in utilities/test/build-unit.xml;
/cvs/utilities/test/build-unit.xml,v  <--  build-unit.xml
new revision: 1.2; previous revision: 1.1
done
Checking in utilities/test/build.xml;
/cvs/utilities/test/build.xml,v  <--  build.xml
new revision: 1.2; previous revision: 1.1
done
Checking in openide/explorer/src/org/openide/explorer/view/ListView.java;
/cvs/openide/explorer/src/org/openide/explorer/view/ListView.java,v  <-- 
ListView.java
new revision: 1.9; previous revision: 1.8
done
Checking in openide/explorer/src/org/openide/explorer/view/TreeViewDropSupport.java;
/cvs/openide/explorer/src/org/openide/explorer/view/TreeViewDropSupport.java,v 
<--  TreeViewDropSupport.java
new revision: 1.5; previous revision: 1.4
done
Checking in openide/explorer/src/org/openide/explorer/view/ListViewDropSupport.java;
/cvs/openide/explorer/src/org/openide/explorer/view/ListViewDropSupport.java,v 
<--  ListViewDropSupport.java
new revision: 1.5; previous revision: 1.4
done
Checking in openide/explorer/src/org/openide/explorer/view/TreeView.java;
/cvs/openide/explorer/src/org/openide/explorer/view/TreeView.java,v  <-- 
TreeView.java
new revision: 1.11; previous revision: 1.10
done
Checking in openide/explorer/src/org/openide/explorer/view/ExplorerDnDManager.java;
/cvs/openide/explorer/src/org/openide/explorer/view/ExplorerDnDManager.java,v 
<--  ExplorerDnDManager.java
new revision: 1.2; previous revision: 1.1
done
Checking in utilities/src/META-INF/services/org.openide.windows.ExternalDropHandler;
/cvs/utilities/src/META-INF/services/org.openide.windows.ExternalDropHandler,v 
<--  org.openide.windows.ExternalDropHandler
new revision: 1.2; previous revision: 1.1
done
Checking in openide/loaders/api/apichanges.xml;
/cvs/openide/loaders/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.20; previous revision: 1.19
done
Checking in openide/text/apichanges.xml;
/cvs/openide/text/apichanges.xml,v  <--  apichanges.xml
new revision: 1.12; previous revision: 1.11
done
Checking in openide/text/manifest.mf;
/cvs/openide/text/manifest.mf,v  <--  manifest.mf
new revision: 1.13; previous revision: 1.12
done
Checking in openide/loaders/nbproject/project.xml;
/cvs/openide/loaders/nbproject/project.xml,v  <--  project.xml
new revision: 1.14; previous revision: 1.13
done
Checking in openide/loaders/nbproject/project.properties;
/cvs/openide/loaders/nbproject/project.properties,v  <--  project.properties
new revision: 1.11; previous revision: 1.10
done
Checking in core/windows/src/org/netbeans/core/windows/view/EditorView.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/EditorView.java,v  <-- 
EditorView.java
new revision: 1.20; previous revision: 1.19
done
Checking in
utilities/src/org/netbeans/modules/openfile/DefaultExternalDropHandler.java;
/cvs/utilities/src/org/netbeans/modules/openfile/DefaultExternalDropHandler.java,v
 <--  DefaultExternalDropHandler.java
new revision: 1.2; previous revision: 1.1
done
Checking in utilities/src/org/netbeans/modules/openfile/OpenFile.java;
/cvs/utilities/src/org/netbeans/modules/openfile/OpenFile.java,v  <--  OpenFile.java
new revision: 1.62; previous revision: 1.61
done
Checking in openide/windows/src/org/openide/windows/ExternalDropHandler.java;
/cvs/openide/windows/src/org/openide/windows/ExternalDropHandler.java,v  <-- 
ExternalDropHandler.java
new revision: 1.2; previous revision: 1.1
done
Checking in openide/text/src/org/openide/text/QuietEditorPane.java;
/cvs/openide/text/src/org/openide/text/QuietEditorPane.java,v  <-- 
QuietEditorPane.java
new revision: 1.6; previous revision: 1.5
done
Checking in core/windows/nbproject/project.xml;
/cvs/core/windows/nbproject/project.xml,v  <--  project.xml
new revision: 1.13; previous revision: 1.12
done
Checking in openide/loaders/src/org/openide/loaders/DataNode.java;
/cvs/openide/loaders/src/org/openide/loaders/DataNode.java,v  <--  DataNode.java
new revision: 1.25; previous revision: 1.24
done
Checking in openide/loaders/src/org/openide/loaders/DataFolder.java;
/cvs/openide/loaders/src/org/openide/loaders/DataFolder.java,v  <--  DataFolder.java
new revision: 1.47; previous revision: 1.46
done
Checking in openide/loaders/manifest.mf;
/cvs/openide/loaders/manifest.mf,v  <--  manifest.mf
new revision: 1.28; previous revision: 1.27
done
Checking in openide/explorer/manifest.mf;
/cvs/openide/explorer/manifest.mf,v  <--  manifest.mf
new revision: 1.9; previous revision: 1.8
done
Checking in openide/explorer/apichanges.xml;
/cvs/openide/explorer/apichanges.xml,v  <--  apichanges.xml
new revision: 1.7; previous revision: 1.6
done
Checking in openide/windows/manifest.mf;
/cvs/openide/windows/manifest.mf,v  <--  manifest.mf
new revision: 1.8; previous revision: 1.7
done
Checking in openide/windows/apichanges.xml;
/cvs/openide/windows/apichanges.xml,v  <--  apichanges.xml
new revision: 1.4; previous revision: 1.3
done
Checking in
utilities/test/unit/src/org/netbeans/modules/openfile/DefaultExternalDropHandlerTest.java;
/cvs/utilities/test/unit/src/org/netbeans/modules/openfile/DefaultExternalDropHandlerTest.java,v
 <--  DefaultExternalDropHandlerTest.java
new revision: 1.2; previous revision: 1.1
done
Checking in openide/text/nbproject/project.xml;
/cvs/openide/text/nbproject/project.xml,v  <--  project.xml
new revision: 1.8; previous revision: 1.7
done
Checking in
openide/loaders/test/unit/src/org/openide/loaders/DataFolderPasteTypesTest.java;
/cvs/openide/loaders/test/unit/src/org/openide/loaders/DataFolderPasteTypesTest.java,v
 <--  DataFolderPasteTypesTest.java
new revision: 1.2; previous revision: 1.1
done
Checking in
openide/loaders/test/unit/src/org/openide/loaders/DragAndDropDataNodeTest.java;
/cvs/openide/loaders/test/unit/src/org/openide/loaders/DragAndDropDataNodeTest.java,v
 <--  DragAndDropDataNodeTest.java
new revision: 1.2; previous revision: 1.1
done
Checking in utilities/nbproject/project.xml;
/cvs/utilities/nbproject/project.xml,v  <--  project.xml
new revision: 1.16; previous revision: 1.15
done
Checking in utilities/nbproject/project.properties;
/cvs/utilities/nbproject/project.properties,v  <--  project.properties
new revision: 1.15; previous revision: 1.14
done
Comment 3 Quality Engineering 2008-12-23 14:26:52 UTC
This issue had *1 votes* before move to platform component


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo